Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

BuildPipeline.BuildPlayer stops working after 2017.1.2p2

Discussion in 'Editor & General Support' started by hectorSBM, Jan 17, 2018.

  1. hectorSBM

    hectorSBM

    Joined:
    Feb 4, 2017
    Posts:
    15
    I am trying to upgrade my project to anything greater than 2017.1. The game works fine, when I upgrade and fix the obsolete warnings.

    However, when I build using the command line via Jenkins, BuildPipeline.BuildPlayer returns a string of: "6 errors". I don't understand what that means nor why there are 6 errors. I tried just passing in the scenes and no parameters, and I still get the same string returned.
     
  2. Peter77

    Peter77

    Joined:
    Jun 12, 2013
    Posts:
    4,195
    If you take a look at the entire log output, you should be able to find additional information on these errors.
     
  3. hectorSBM

    hectorSBM

    Joined:
    Feb 4, 2017
    Posts:
    15
    Yea, funny thing is there are no errors previously.